{
  "name": "@aicacia/core",
  "version": "0.1.15",
  "description": "aicacia core utils",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/aicacia/libs/ts-core.git"
  },
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "scripts": {
    "build": "tsc",
    "doc": "typedoc --entryPoints src",
    "prepublishOnly": "npm run clean && npm run build",
    "test": "ts-node node_modules/.bin/tape src/**/*.test.{ts,tsx} | tap-spec",
    "coverage": "nyc --reporter=lcov --check-coverage --lines=75 --require ts-node/register tape src/**/*.test.{ts,tsx} | tap-spec; nyc report ---reporter=text",
    "clean": "rm -rf ./lib",
    "lint": "eslint . --fix"
  },
  "keywords": [
    "core",
    "result",
    "option",
    "iter"
  ],
  "author": "Nathan Faucett",
  "license": "(MIT OR Apache-2.0)",
  "readmeFilename": "README.md",
  "devDependencies": {
    "@types/tape": "4",
    "@typescript-eslint/eslint-plugin": "4",
    "@typescript-eslint/parser": "4",
    "eslint": "7",
    "eslint-config-prettier": "7",
    "eslint-plugin-prettier": "3",
    "nyc": "15",
    "prettier": "2",
    "tap-nyc": "1",
    "tap-spec": "5",
    "tape": "5",
    "ts-node": "9",
    "tslib": "2",
    "typedoc": "beta",
    "typescript": "4"
  },
  "dependencies": {},
  "peerDependencies": {
    "tslib": "2"
  },
  "nyc": {
    "include": [
      "src"
    ],
    "exclude": [
      "src/**/*.test.*"
    ],
    "extension": [
      ".ts",
      ".tsx"
    ]
  }
}
